## org.apache.poi.poifs.filesystem
Class NPOIFSStream.StreamBlockByteBufferIterator

    java.lang.Object
      org.apache.poi.poifs.filesystem.NPOIFSStream.StreamBlockByteBufferIterator

All Implemented Interfaces:
  java.util.Iterator<java.nio.ByteBuffer>

Enclosing class:
  NPOIFSStream

    protected class NPOIFSStream.StreamBlockByteBufferIterator

extends java.lang.Object
implements java.util.Iterator<java.nio.ByteBuffer>

Class that handles a streaming read of one stream

Constructor Summary
`protected` `NPOIFSStream.StreamBlockByteBufferIterator(int firstBlock)`

Method Summary
`boolean` `hasNext()`
`java.nio.ByteBuffer` `next()`
`void` `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NPOIFSStream.StreamBlockByteBufferIterator

    protected NPOIFSStream.StreamBlockByteBufferIterator(int firstBlock)

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator<java.nio.ByteBuffer>`

### next

    public java.nio.ByteBuffer next()

  Specified by:
    `next` in interface `java.util.Iterator<java.nio.ByteBuffer>`

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator<java.nio.ByteBuffer>`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.